package com.huatek.busi.ws.protocol;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import com.thoughtworks.xstream.annotations.XStreamAsAttribute;

import lombok.Data;

@Data
@XStreamAlias("attr")
public class CacAttr {

    @XStreamAsAttribute
    private String name;

    @XStreamAsAttribute
    private String value;

    @XStreamAsAttribute
    private String alarm;

    public CacAttr() {}

    public CacAttr(String name, String value, String alarm) {
        super();
        this.name = name;
        this.value = value;
        this.alarm = alarm;
    }
}
